### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/common/ecl-menu-item.event.ts`

### Extends

`EclDomEvent`

### Index

###### Properties

- Public domEvent
- Public menuItem

###### Methods

- Public preventDefault

### Constructor

`constructor(menuItem: EclMenuItem, domEvent: MouseEvent)`

Parameters :

Name | Type | Optional
menuItem | `EclMenuItem` | No
domEvent | `MouseEvent` | No

### Properties

Public domEvent
Type : `MouseEvent`
Default value : `null`

Public menuItem
Type : `EclMenuItem`

### Methods

Public preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""